Bug 246358 - No sound - Toshiba P100- x86_64 Intel ICH7 card
Summary: No sound - Toshiba P100- x86_64 Intel ICH7 card
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
(Show other bugs)
Version: 7
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-30 22:40 UTC by Jason Enochs
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 02:22:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log (52.07 KB, text/plain)
2007-06-30 22:40 UTC, Jason Enochs
no flags Details
scrun.log (224 bytes, text/plain)
2007-06-30 22:52 UTC, Jason Enochs
no flags Details

Description Jason Enochs 2007-06-30 22:40:35 UTC
Description of problem:  
I have a new laptop and just installed FC7 and I have no sound.  I have tried
several suggestions to fix the problem.  I am NOT a Linux guru.  I have run
alsamixer and channels are not muted.  I added the option "model=3stack" but
that also did nothing.  I have installed the latest alsa drivers.  I have even
sacrificed a chicken to TUX the Linux God.  He was not impressed.     



Additional info:

Comment 1 Jason Enochs 2007-06-30 22:40:35 UTC
Created attachment 158302 [details]
scsconfig.log

Comment 2 Jason Enochs 2007-06-30 22:52:32 UTC
Created attachment 158303 [details]
scrun.log

Comment 3 Jason Enochs 2007-07-01 01:05:22 UTC
 Probably means nothing but when I tried to play a test sound using "aplay -D
hw:0 /usr/share/sounds/phone.wav --- I got the following warning:


[root@localhost ~]# aplay -D hw:0 /usr/share/sounds/phone.wav
Playing WAVE '/usr/share/sounds/phone.wav' : Signed 16 bit Little Endian, Rate
44100 Hz, Stereo
Warning: rate is not accurate (requested = 44100Hz, got = 48000Hz)
         please, try the plug plugin 


Comment 4 Jason Enochs 2007-07-01 07:11:30 UTC
 Ok, after many hours online I think that it may be possible that I have a DSDT
problem. I found instructions on how to fix a DSDT at this link:

http://forums.gentoo.org/viewtopic.php?t=122145

Unfortunately, obtaining my computer science degree did not involve much Linux.
Simple steps like..... 6. Recompile your kernel    involve many more steps like
google "how to recompile a Linux kernel"....   Yes, I am an idiot.  I have been
in  Linux-land for only a few days now.  I just want sound without booting into
the Windows side of my box.  UUUGGG....I seem to be getting some sick
satisfaction from this quest!!??......but not much sleep.

Comment 5 Jason Enochs 2007-07-03 02:22:38 UTC
 OK, it appears that the only fix for some (not all) Toshiba users that employ
the Conexant codec is to either:

 1. Custom build your DSDT.  (not for beginners)
        or
 2. Add "acpi=off irqpol" to your boot command line and give up some of your
power management functions.

    I selected option #2 and now I have perfect sound and no battery life
indicator in my toolbar.  I can live with that until a better fix is worked out.


Note You need to log in before you can comment on or make changes to this bug.